package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizDaywork;
import cn.ezhizao.project.business.domain.BizDayworkItem;
import cn.ezhizao.project.business.domain.BizProductionPlanDetail;
import cn.ezhizao.project.business.domain.BizTechnologicalProcessDetail;
import cn.ezhizao.project.system.domain.SysDept;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;


/**
 * 报工Service接口
 *
 * @author ezhizao
 * @date 2023-11-29
 */
public interface IBizDayworkService extends IService<BizDaywork> {
    /**
     * 查询报工列表
     *
     * @param bizDaywork 报工
     * @return 报工集合
     */
    List<BizDaywork> getList(BizDaywork bizDaywork);
    /**
     * 查询计划详情
     *
     *
     * @param bizDaywork 报工
     * @return 报工集合
     */
    List<BizDaywork> getDayworkInfo(BizDaywork bizDaywork);

    List<BizDaywork> getProducedLot(BizProductionPlanDetail data);

    List<BizDaywork> getDayworkProcessList(BizDaywork bizDaywork);

    List<SysDept> getDeptList(BizDaywork bizDaywork);

    /**
     * 查询报工列表
     *
     *
     * @param bizDayworkItem 报工
     * @return 报工集合
     */
    List<BizDayworkItem> getItemList(BizDayworkItem bizDayworkItem);

    List<BizTechnologicalProcessDetail> getProcessList(BizDayworkItem bizDayworkItem);

    /**
     * 物理删除
     *
     * @param bizDaywork
     * @return 删除结果
     */
    int physicalDelete(BizDaywork bizDaywork);

}
